Platform Load Sharing Facility EAuth本地缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1201928 漏洞类型 边界条件错误
发布时间 2004-02-23 更新时间 2009-07-12
CVE编号 CVE-2004-0317 CNNVD-ID CNNVD-200411-056
漏洞平台 N/A CVSS评分 10.0
|漏洞来源
https://www.securityfocus.com/bid/9719
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200411-056
|漏洞详情
LoadSharingFacility(LSF)是一款由Platform公司开发的分布式异构计算机环境的负载管理系统。LoadSharingFacilityeauth组件对提供的参数缺少充分边界缓冲区检查,本地攻击者可以利用这个漏洞进行缓冲区溢出攻击,可能以ROOT权限执行任意指令。"eauth"在LSF中用于控制验证的程序,eauth对用户提交的LSF_From_PC数据缺少充分边界缓冲去检查,提交超长字符串,可使程序发生段错误,由于任意人可执行'eauth'并以setuidroot属性安装,因此精心构建提交数据可能以ROOT权限执行任意指令。
|受影响的产品
Platform LSF 6.0 Platform LSF 5.1 Platform LSF 5.0 Platform LSF 4.2 - HP HP-UX 11.20 - IBM AIX 4.3.3
|参考资料

来源:BID
名称:9719
链接:http://www.securityfocus.com/bid/9719
来源:BUGTRAQ
名称:20040223Lam3rZSecurityAdvisory#1/2004:LSFeauthvulnerabilityleadstoremotecodeexecution
链接:http://marc.theaimsgroup.com/?l=bugtraq&m=107756611501236&w=2
来源:XF
名称:lsf-eauth-execute-code(15282)
链接:http://xforce.iss.net/xforce/xfdb/15282